> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sync.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Job

> Stops the specified job running.



## OpenAPI

````yaml /26.3/en/rest-api/openapi-v1.json post /cancelJob
openapi: 3.0.1
info:
  title: CData OpenAPI
  version: 26.3.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://sync.example.com/api.rsc
        description: >-
          Base URL of your Sync instance, including scheme and application path
          (e.g. https://sync.example.com/api.rsc).
security: []
paths:
  /cancelJob:
    post:
      tags:
        - cancelJob
      summary: Cancel Job
      description: Stops the specified job running.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/cancelJob_input'
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/cancelJob_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - basic: []
        - authtoken_header: []
        - authtoken_query: []
components:
  schemas:
    cancelJob_input:
      type: object
      properties:
        JobId:
          description: The id of the job.
          type: string
        JobName:
          description: The name of the job.
          type: string
        WorkspaceId:
          type: string
          description: The id of WorkspaceId.
          default: default
    cancelJob_output:
      type: array
      items:
        type: object
        properties:
          Status:
            type: string
            description: The job execution result.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    basic:
      scheme: basic
      type: http
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````